/*
 * SenchaArray.h
 *
 *  Created on: Jan 10, 2013
 *      Author: att
 */

#ifndef SENCHAARRAY_H_
#define SENCHAARRAY_H_
#include "SenchaObject.h"
#include "Element.h"
#include "../ContextManager.h"

class SenchaArray: public Element {
public:
	SenchaArray(std::string name, ContextManager * context_manager);
	SenchaArray(std::string name, ContextManager * context_manager, std::string);
	ContextManager * context_manager;
	std::string name;
	typedef int IndexNumber;

	IndexNumber add(SenchaObject value);
	void set(IndexNumber index, SenchaObject value);
	IndexNumber max_index;
	SenchaObject get(IndexNumber index);
	//lots of stuff
	virtual ~SenchaArray();
};

#endif /* SENCHAARRAY_H_ */
